        !COMPILER-GENERATED INTERFACE MODULE: Sat Feb 12 13:24:47 2022
        ! This source file is for reference only and may not completely
        ! represent the generated interface used by the compiler.
        MODULE S_TO_R8__genmod
          INTERFACE 
            SUBROUTINE S_TO_R8(S,DVAL,IERROR,LENGTH)
              CHARACTER(*) :: S
              REAL(KIND=8) :: DVAL
              INTEGER(KIND=4) :: IERROR
              INTEGER(KIND=4) :: LENGTH
            END SUBROUTINE S_TO_R8
          END INTERFACE 
        END MODULE S_TO_R8__genmod
